LN(1)

NAME
ln - link files

SYNOPSIS
ln [-f] [-L | -P | -s] target [name]
ln [-f] [-L | -P | -s] target ... directory

DESCRIPTION
ln creates a hard link name to target. If no name is given, a hard link to target is created in the current directory. If more than one target is given, ln hardlinks them in the existing directory.

OPTIONS

-f  If name exists and is not a target, remove it to allow the link.

-L | -P
    If target is a symbolic link, create a hard link to the (referenced file) | (symbolic link itself). The former is the default.

-s  Create symbolic links instead of hard links. Disables -L and -P, because their purpose does not apply to symbolic links.

SEE ALSO
cp(1), link(2), symlink(2)

STANDARDS
The ln utility is compliant with the p1003.1-2013 specification.